View Issue Details

IDProjectCategoryView StatusLast Update
0014625LazarusLCLpublic2010-05-24 14:31
ReporterKrzysztof DibowskiAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN)Product Build 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0014625: TPageControl - problem with new tabs created after deleting previous
DescriptionHi,
I have problem with new tabs created after deleting all previous tabs. Example:

1. Put on form: Button1, Button2 and PageControl
2. Add this events for buttons and run application:

procedure TForm1.Button1Click(Sender: TObject);
begin
  with TTabSheet.Create(Self) do begin
    PageControl := PageControl1;
    Caption := 'Tab ' + IntToStr(PageControl1.PageCount);
  end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  PageControl1.ActivePage.Free;
end;

Additional Information3. Add two tabs by clicking Button1 two times
4. Delete this tabs by clicking Button2 two times
5. Add two tabs again and what you see? Can you click tab number 2 or greater?

Lazarus snapshot, Revision 21752 from 2009-09-18. Windows Vista 32bit with SP1
TagsNo tags attached.
Fixed in Revision25122
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Activities

Paul Ishenin

2010-05-02 06:22

manager   ~0037151

Please test and close if ok.

Krzysztof Dibowski

2010-05-24 14:31

reporter   ~0037940

Tested. Problem is fixed. Thanks!

Issue History

Date Modified Username Field Change
2009-09-19 00:27 Krzysztof Dibowski New Issue
2009-09-19 00:27 Krzysztof Dibowski Widgetset => Win32/Win64
2009-09-19 17:50 Paul Ishenin LazTarget => 1.0
2009-09-19 17:50 Paul Ishenin Status new => confirmed
2009-09-19 17:50 Paul Ishenin Target Version => 1.0.0
2010-05-02 06:22 Paul Ishenin Fixed in Revision => 25122
2010-05-02 06:22 Paul Ishenin Status confirmed => resolved
2010-05-02 06:22 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-05-02 06:22 Paul Ishenin Resolution open => fixed
2010-05-02 06:22 Paul Ishenin Assigned To => Paul Ishenin
2010-05-02 06:22 Paul Ishenin Note Added: 0037151
2010-05-24 14:31 Krzysztof Dibowski Status resolved => closed
2010-05-24 14:31 Krzysztof Dibowski Note Added: 0037940